Subject: RE: [Megaco] H.248.36 - Hanging Termination Detection Package

From: "Miri Epstein" <[email-masked]>
Date: Tue, 11 Dec 2007 15:55:11 -0000

Albrecht,

Many thanks for the clarification.

Best regards,

Miri

________________________________

From: Schwarz Albrecht [mailto:[email-masked]] 
Sent: Thursday, November 29, 2007 1:43 PM
To: Miri Epstein; [email-masked]
Subject: RE: [Megaco] H.248.36 - Hanging Termination Detection Package

Hello Miri, 

agreed that the textual description might be too short. 
"Detection of inactivity" was a rather wide topic back in 2004/05, - we
got discussions on .14 extension proposals, .40 was not yet on the
table, ServiceChange scenarios and similar stuff. That's why explicit
applicability statements were finally included in .36.

H.248.36 defines a detection logic: 

        IF condition C1 is fullfilled THEN event thb notification. 
        with just one condition C1 = "expiration of thb" 

Now, non-applicability means that there is neither an additional
condition C2 nor an impact on C1 by the use cases listed in
I.2/H.248.36.

In particular of I.2 (4): ServiceState value equals to OoS does not
impact the condition. 
The text "(to be checked)" was perhaps missed to be deleted during the
final review. 

Regards, 
albrecht 

> -----Original Message----- 
> From: Miri Epstein [mailto:[email-masked]
<mailto:[email-masked]> ] 
> Sent: Donnerstag, 29. November 2007 12:10 
> To: [email-masked] 
> Subject: [Megaco] H.248.36 - Hanging Termination Detection Package 
> 
> Hi, 
> 
> The H.248.36 (09/2005) has the following text (below) about 
> Non-applicability (Appendix I, page 4). 
> The question is about 4) below: 
> What is to be checked? 
> Should the notify of a detected hanging termination be issued 
> when the termination is "out-of-service"? 
> 
> Thanks, 
> Miri 
> -------------- 
> I.2 Non-applicability 
> This package is not applicable (or not intended) in the 
> following situations (this list is not exhaustive): 
> 1) Media Inactivity Detection. 
> 2) Idle Bearer Detection. 
> 3) Emergency Standalone Mode. 
> 4) Termination is in state "out-of-service" (according 
> ServiceState property in TerminationState descriptor) (to be checked).

> 5) Re-synchronization after (long) losses of MGC-MG 
> interconnection, or cold reboots of 
> H.248 systems (this is tackled rather by service change and 
> auditing procedures). 
> NOTE - "Long" here in the sense of data inconsistency between 
> MGC and MG level. 
> 6) Addressing potential issues related to bulk auditing. 
> 7) Different or dedicated types of auditing for "detection of 
> hanging resources". 
> 8) Detection capability of hanging H.248 Terminations on MG level. 
> 
> 
> _______________________________________________ 
> Megaco mailing list 
> [email-masked] 
> https://www1.ietf.org/mailman/listinfo/megaco
<https://www1.ietf.org/mailman/listinfo/megaco>  

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco